Retrieve a support ticket

Retrieve a support ticket by ID.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/tickets.read scope.

If you're retrieving another account's ticket, then you'll need to specify the /accounts/{partnerAccountID}/tickets.read and /accounts/{accountID}/profile.read scopes.

GET
/accounts/{accountID}/tickets/{ticketID}
cURL Go .NET Java Ruby TypeScript PHP Python
curl -X GET "https://api.moov.io/accounts/{accountID}/tickets/{ticketID}" \
  -H "Authorization: Bearer {token}" \
mc, _ := moov.NewClient()

var accountID string // customer
var ticketID string

mc.GetTicket(ctx, accountID, ticketID)
using Moov.Sdk;

var sdk = new MoovClient(xMoovVersion: "<value>");

var res = await sdk.Support.GetTicketAsync(
    accountID: "873ccb78-88b3-4520-85f2-7cc2aef5704b",
    ticketID: "91fea9bf-b373-40f7-86e0-2c80690126e4"
);

// handle response
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetTicketResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Moov sdk = Moov.builder()
                .xMoovVersion("v2024.01.00")
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        GetTicketResponse res = sdk.support().getTicket()
                .accountID("873ccb78-88b3-4520-85f2-7cc2aef5704b")
                .ticketID("91fea9bf-b373-40f7-86e0-2c80690126e4")
                .call();

        if (res.ticket().isPresent()) {
            // handle response
        }
    }
}
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.support.get_ticket(account_id: '873ccb78-88b3-4520-85f2-7cc2aef5704b', ticket_id: '91fea9bf-b373-40f7-86e0-2c80690126e4')

unless res.ticket.nil?
  # handle response
end
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  xMoovVersion: "v2024.01.00",
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.support.getTicket({
    accountID: "873ccb78-88b3-4520-85f2-7cc2aef5704b",
    ticketID: "91fea9bf-b373-40f7-86e0-2c80690126e4",
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setXMoovVersion('v2024.01.00')
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();



$response = $sdk->support->getTicket(
    accountID: '873ccb78-88b3-4520-85f2-7cc2aef5704b',
    ticketID: '91fea9bf-b373-40f7-86e0-2c80690126e4'

);

if ($response->ticket !== null) {
    // handle response
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    x_moov_version="v2024.01.00",
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.support.get_ticket(account_id="873ccb78-88b3-4520-85f2-7cc2aef5704b", ticket_id="91fea9bf-b373-40f7-86e0-2c80690126e4")

    # Handle response
    print(res)
200 401 403 404 429 500 504
The request completed successfully.
application/json
{
  "ticketID": "string",
  "number": 0,
  "title": "string",
  "contact": {
    "email": "string",
    "name": "string"
  },
  "status": "new",
  "createdOn": "2019-08-24T14:15:22Z",
  "updatedOn": "2019-08-24T14:15:22Z",
  "latestMessageOn": "2019-08-24T14:15:22Z",
  "closedOn": "2019-08-24T14:15:22Z",
  "foreignID": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Path parameters

accountID

string required

ticketID

string required

Response

application/json

contact

object required
Show child attributes

email

string required

name

string

createdOn

string<date-time> required

number

integer required

status

string<enum> required
Possible values: new, in-progress, on-hold, closed

ticketID

string required

title

string required

updatedOn

string<date-time> required

closedOn

string<date-time>

foreignID

string

latestMessageOn

string<date-time>